Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225839 - Merge Review: gnome-terminal
Summary: Merge Review: gnome-terminal
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:55 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-11 02:36:37 UTC
reza: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:55:19 UTC
Fedora Merge Review: gnome-terminal

http://cvs.fedora.redhat.com/viewcvs/devel/gnome-terminal/
Initial Owner: besfahbo@redhat.com

Comment 1 Roozbeh Pournader 2007-02-04 20:15:16 UTC
Reza is working on this.

Comment 2 Reza Mohammadi 2007-02-12 17:32:35 UTC
Output of src.rpm rpmlint:
W: gnome-terminal mixed-use-of-spaces-and-tabs (spaces: line 75, tab: line 92)

Output of i386.rpm rpmlint:
W: gnome-terminal non-conffile-in-etc /etc/gconf/schemas/gnome-terminal.schemas
(Respecting http://lists.debian.org/debian-gtk-gnome/2004/01/msg00020.html ,
We can ignore this warning.)

RPM name is OK.
spec file name is OK.
License: GPL. [OK]
Source gnome-terminal-2.17.90.tar.bz2 is the same as upstream.
Builds fine in mock for i386.

Comparing package Requires and BuildRequires with configure.in :
configure.in                          spec
-----------------------------         -----------------------------
GTK_REQUIRED=2.10.0                   %define gtk2_version 2.6.0
VTE_REQUIRED=0.13.4                   %define vte_version 0.12.0-2
GNOMEVFS_REQUIRED=2.4                 ?
libglade-2.0                          ?
libgnomeui-2.0                        %define libgnomeui_version 2.3.0
pangoxft >= 1.1.1                     %define pango_version 1.8.0

GConf2 >= 2.14 is repeated three times, could be defined as a macro.

There is no URL of source tarball.

There are 3 patches and one .po file in cvs but just one is applied.
They should be removed.

Configure flags are not documented. (--with-widget=vte --disable-scrollkeeper)

Parallel make flag is not used.

%makeinstall is used instead of 'make install DESTDIR=%{buildroot}'. [BLOCKER]

"gnome" is used as vendor for desktop-file-install.
However that was "gnome" for FC4 SRPM too, and vendor_id should be constant for
the life of a package. So it's ok.

'rm -r $RPM_BUILD_ROOT/var/scrollkeeper' has not any comment/document.
(Does it have effect on %find_lang ?)

Files list:

%{_datadir}/gnome/help/gnome-terminal
*** No dependency to owner of %{_datadir}/gnome/help/ nor %{_datadir}/gnome/
[BLOCKER]

%{_sysconfdir}/gconf/schemas/gnome-terminal.schemas
*** No dependency to owner of %{_sysconfdir}/gconf/schemas/ nor
%{_sysconfdir}/gconf/
[BLOCKER]


Comment 3 Matthias Clasen 2007-02-14 14:25:20 UTC
I've addressed most of these points in 2.17.91-2.fc7, except for 

/etc/gconf/schemas, which is not a problem, since we have a dependency on GConf2
which owns it, and 

/usr/share/gnome/help/ where I don't see any non-borken resolution yet. 

Comment 4 Reza Mohammadi 2007-02-19 15:07:14 UTC
two little problems:

$ rpmlint gnome-terminal-2.17.91-3.src.rpm
W: gnome-terminal mixed-use-of-spaces-and-tabs (spaces: line 68, tab: line 71)

Unused patches are not removed from cvs.

And /usr/share/gnome/help/, which package should owns this directory?

Comment 5 Matthias Clasen 2007-04-11 10:15:25 UTC
> Unused patches are not removed from cvs.

Irrelevant for a package review.

> And /usr/share/gnome/help/, which package should owns this directory?

There has been discussion about doing a filesystem-desktop or filesystem-gnome
package.


Comment 6 Behdad Esfahbod 2007-04-11 23:23:56 UTC
(In reply to comment #4)
> two little problems:
> 
> $ rpmlint gnome-terminal-2.17.91-3.src.rpm
> W: gnome-terminal mixed-use-of-spaces-and-tabs (spaces: line 68, tab: line 71)
> 
> Unused patches are not removed from cvs.

Both fixed.


Comment 7 Reza Mohammadi 2007-04-12 11:40:30 UTC
rpmlint output of source package:
W: gnome-terminal mixed-use-of-spaces-and-tabs (spaces: line 91, tab: line 68)
(cvs revision: 1.78)

Comment 8 Matthias Clasen 2007-08-11 02:36:37 UTC
review done.


Note You need to log in before you can comment on or make changes to this bug.